"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@oclif/test");
const path = require("path");
require("chai");
describe('swagger-ui', () => {
    test_1.test
        .stdout()
        .command(['swagger-ui', '-d', path.join('examples', 'openapi.yml')])
        .it('runs swagger-ui', (ctx) => {
        test_1.expect(ctx.stdout).to.contain('running');
    });
    afterEach(() => {
        // emit disconnect to stop the server
        process.emit('disconnect');
    });
});
